Create
curl --request POST \
--url https://{defaultHost}/v1/fees \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fee": {
"amount": 10,
"description": "Setup fee",
"line_item": "0a208bcc-ec67-4c6e-b65d-6b94bf7568a3"
}
}
'import requests
url = "https://{defaultHost}/v1/fees"
payload = { "fee": {
"amount": 10,
"description": "Setup fee",
"line_item": "0a208bcc-ec67-4c6e-b65d-6b94bf7568a3"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fee: {
amount: 10,
description: 'Setup fee',
line_item: '0a208bcc-ec67-4c6e-b65d-6b94bf7568a3'
}
})
};
fetch('https://{defaultHost}/v1/fees', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{defaultHost}/v1/fees",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'fee' => [
'amount' => 10,
'description' => 'Setup fee',
'line_item' => '0a208bcc-ec67-4c6e-b65d-6b94bf7568a3'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{defaultHost}/v1/fees"
payload := strings.NewReader("{\n \"fee\": {\n \"amount\": 10,\n \"description\": \"Setup fee\",\n \"line_item\": \"0a208bcc-ec67-4c6e-b65d-6b94bf7568a3\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{defaultHost}/v1/fees")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"fee\": {\n \"amount\": 10,\n \"description\": \"Setup fee\",\n \"line_item\": \"0a208bcc-ec67-4c6e-b65d-6b94bf7568a3\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{defaultHost}/v1/fees")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"fee\": {\n \"amount\": 10,\n \"description\": \"Setup fee\",\n \"line_item\": \"0a208bcc-ec67-4c6e-b65d-6b94bf7568a3\"\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "056a1b1f-64f8-4c67-b75c-c2b9a487243d",
"object": "fee",
"amount": 10,
"description": "Setup fee",
"fee_type": "manual",
"line_item": "0a208bcc-ec67-4c6e-b65d-6b94bf7568a3",
"created_at": 1793796890,
"updated_at": 1793796890
}Fees
Create
Creates a new fee.
POST
/
v1
/
fees
Create
curl --request POST \
--url https://{defaultHost}/v1/fees \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fee": {
"amount": 10,
"description": "Setup fee",
"line_item": "0a208bcc-ec67-4c6e-b65d-6b94bf7568a3"
}
}
'import requests
url = "https://{defaultHost}/v1/fees"
payload = { "fee": {
"amount": 10,
"description": "Setup fee",
"line_item": "0a208bcc-ec67-4c6e-b65d-6b94bf7568a3"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fee: {
amount: 10,
description: 'Setup fee',
line_item: '0a208bcc-ec67-4c6e-b65d-6b94bf7568a3'
}
})
};
fetch('https://{defaultHost}/v1/fees', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{defaultHost}/v1/fees",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'fee' => [
'amount' => 10,
'description' => 'Setup fee',
'line_item' => '0a208bcc-ec67-4c6e-b65d-6b94bf7568a3'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{defaultHost}/v1/fees"
payload := strings.NewReader("{\n \"fee\": {\n \"amount\": 10,\n \"description\": \"Setup fee\",\n \"line_item\": \"0a208bcc-ec67-4c6e-b65d-6b94bf7568a3\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{defaultHost}/v1/fees")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"fee\": {\n \"amount\": 10,\n \"description\": \"Setup fee\",\n \"line_item\": \"0a208bcc-ec67-4c6e-b65d-6b94bf7568a3\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{defaultHost}/v1/fees")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"fee\": {\n \"amount\": 10,\n \"description\": \"Setup fee\",\n \"line_item\": \"0a208bcc-ec67-4c6e-b65d-6b94bf7568a3\"\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "056a1b1f-64f8-4c67-b75c-c2b9a487243d",
"object": "fee",
"amount": 10,
"description": "Setup fee",
"fee_type": "manual",
"line_item": "0a208bcc-ec67-4c6e-b65d-6b94bf7568a3",
"created_at": 1793796890,
"updated_at": 1793796890
}Authorizations
Response
200 - application/json
Success
Was this page helpful?